Bug 122891 - Can't locate object method "boot"
Can't locate object method "boot"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mod_perl (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 23:05 EDT by Gunnar Hjalmarsson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-16 03:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gunnar Hjalmarsson 2004-05-09 23:05:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5) Gecko/20031007

Description of problem:
No errors were reported when installing the mod_perl RPM distribution
from the Fedora download server. However, running a simple "Hello
World" script resulted in "Internal Server Error" and this complaint
in the error log:

Can't locate object method "boot" via package "mod_perl" at
/usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi/Apache/Log.pm
line 6.


Version-Release number of selected component (if applicable):
mod_perl-1.99_09-10

How reproducible:
Always

Steps to Reproduce:
Step-by-step description not needed.


Additional info:

The Apache/Log.pm module, that causes the error, is not very big:

1. package Apache::Log;
2.
3. use mod_perl ();
4.
5. $VERSION = '1.01';
6. __PACKAGE__->mod_perl::boot($VERSION);
7.
8. 1;
9. __END__

To be able to run my test script, I have either commented out line 6
or simply renamed the whole file. (There is another Apache/Log.pm file
in @INC, with different code, and having two modules with identical
names seems a little odd anyway...).

I have no idea if my quick fix is appropriate, or if there are adverse
implications.
Comment 1 Gunnar Hjalmarsson 2004-05-16 03:30:56 EDT
I believe that this was a 'user bug' rather than anything wrong with
the mod_perl distribution. See the thread in redhat-list that started
with: http://www.redhat.com/archives/redhat-list/2004-May/msg00574.html

Note You need to log in before you can comment on or make changes to this bug.